Package com.emc.documentum.rest.model

# Enum Class AccessType

java.lang.Object
java.lang.Enum<AccessType>
com.emc.documentum.rest.model.AccessType

All Implemented Interfaces:
  `Serializable`, `Comparable<AccessType>`, `Constable`

public enum AccessType extends Enum<AccessType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PERMIT`
  Grant the user or group with this set of permissions.
  `REQUIRE_GROUP`
  Requires a user requesting access to an object governed by the ACL to be a member of the group(s) identified in the entry.
  `REQUIRE_GROUP_SET`
  Requires a user requesting access to an object governed by the ACL to be a member of at least one group in a set of groups.
  `RESTRICT`
  Removes the right to the base object-level permission level specified in the entry, and to any extended privileges listed in the AclEntry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessType`
  `getAccessType(int permitType)`
  `static AccessType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AccessType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PERMIT

    public static final AccessType PERMIT
    Grant the user or group with this set of permissions.

    Note that if an accessor appears more than once in a list of AclEntry instances, the accessor is granted with the most up level of basic permission specified. For example, if a user is a member of a group that is granted with BROWSE permission, but in another AclEntry is granted VERSION permission, Content Server will give this user VERSION permission on the object.

  - ### RESTRICT

    public static final AccessType RESTRICT
    Removes the right to the base object-level permission level specified in the entry, and to any extended privileges listed in the AclEntry.

    For BASIC permissions, the user or group members have access at the level up to the specified restriction. Access restriction entries are useful when you want give a group a particular base object-level permission, but restrict access for individual members or a subgroup of members. (Applicable only with Trusted Content Services license.)

  - ### REQUIRE_GROUP

    public static final AccessType REQUIRE_GROUP
    Requires a user requesting access to an object governed by the ACL to be a member of the group(s) identified in the entry.

    This is true even if the user is explicitly granted the permission in another entry. (Applicable only with Trusted Content Services license.)

  - ### REQUIRE_GROUP_SET

    public static final AccessType REQUIRE_GROUP_SET
    Requires a user requesting access to an object governed by the ACL to be a member of at least one group in a set of groups.

    An ACL that enforces a required group set typically has multiple required group set entries. Each entry identifies one group in the set. The user must belong to at least one of the groups identified by the REQUIRE_GROUP_SET entries in the ACL. (Applicable only with Trusted Content Services license.)

- ## Method Details

  - ### values

    public static AccessType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AccessType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAccessType

    public static AccessType getAccessType(int permitType)